BlockCipherDocumentation Struct Reference

These objects usually should not be used directly. See CipherModeDocumentation instead. More...

`#include <seckey.h>`

Inheritance diagram for BlockCipherDocumentation:

## Public Types

typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Detailed Description

These objects usually should not be used directly. See CipherModeDocumentation instead.

Each class derived from this one defines two types, Encryption and Decryption, both of which implement the BlockCipher interface.

Definition at line 188 of file seckey.h.

The documentation for this struct was generated from the following file:

- seckey.h